body {
  background-image: url(../img/Фон\ 1.png);
  background-size: cover;
  height: 100vh;
  font-family: "Ubuntu", Arial, Helvetica, sans-serif;
}
.top-ribbon {
  display: flex;
  background-color: rgba(0, 0, 0, 0.4);
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
  justify-content: space-between;
}
.header-right-part {
  display: flex;
  width: 500px;
  align-items: center;
}
.social-icons {
  display: flex;
  justify-content: space-between;
  width: 140px;
  border-right: 1px solid rgba(255, 255, 255, 0.5);
}
.social-icon {
  display: inline-block;
  color: white;
  cursor: pointer;
  width: 21px;
  height: 24px;
}
.social-icon:hover {
  color: #01813f;
}
.last-social-icon:hover {
  color: #01813f;
}
.last-social-icon {
  color: white;
  cursor: pointer;
  width: 21px;
  height: 24px;
  padding-right: 25px;
}
.header-login-text {
  color: white;
}
.header-login-link {
  outline: none;
}
a {
  text-decoration: none;
  color: #3cb878;
  outline: none;
}
a:hover {
  text-decoration: underline;
}
.header-login-section {
  padding-right: 79px;
  padding-left: 25px;
}
.top-ribbon .logo {
  display: block;
  padding-top: 17px;
  padding-bottom: 17px;
  padding-left: 79px;
  font-size: 22px;
  line-height: 22px;
  font-weight: 700;
  text-transform: uppercase;
  color: white;
  text-decoration: none;
  outline: none;
}
.logo:hover {
  color: #01813f;
}
main {
  display: flex;
  align-items: center;
  justify-content: center;
  height: calc(100vh - 58px);
}
.form-container {
  height: 630px;
  width: 444px;
  display: flex;
  flex-direction: column;
  position: relative;
  background-color: white;
  box-shadow: 0px 4px 18px rgba(0, 0, 0, 0.52);
}
.flex-container {
  width: 324px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
}
.social-login-items {
  width: 157px;
  height: 48px;
  border: 1px solid blue;
  border: none;
  border-radius: 5px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  outline: none;
}
.facebook-item {
  background-color: #305db8;
}
.transition-class {
  transition: ease-in-out 300ms;
}
.facebook-item:hover {
  background-color: #022263;
  text-decoration: none;
}
.google-plus-item:hover {
  background-color: #ab1f09;
  text-decoration: none;
}
.google-plus-item {
  background-color: #df4a32;
}
.social-login-icon {
  padding: 12px 0 12px 17px;
  display: inline-block;
  color: white;
  font-size: 24px;
}
.social-login-text {
  display: inline-block;
  color: white;
  padding-right: 22px;
}
.social-login-text::before {
  content: "";
  display: inline-block;
  width: 1px;
  height: 28px;
  background-color: black;
  opacity: 0.1;
  position: absolute;
  top: calc(50% - 14px);
  left: 48px;
}
.signin-option-item {
  display: inline-block;
  padding: 31px 0 16px 0;
  font-size: 20px;
  line-height: 20px;
}
.signin-option-link {
  display: inline-block;
  padding: 31px 0 16px 0;
}
.signin-option-item::before {
  content: "";
  position: absolute;
  width: 18px;
  height: 18px;
  top: 29px;
  left: 0;
  background-color: #3cb878;
}
.or-word {
  padding-top: 32px;
  padding-bottom: 11px;
  text-align: center;
}
.or-word::before,
.or-word::after {
  content: "";
  display: inline-block;
  border-top: 1px solid black;
  opacity: 0.1;
  width: 162px;
  padding-bottom: 3px;
  margin: 0 1px 0 1px;
}
.container {
  width: 324px;
  margin: 0 auto;
}
.form-contents {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  padding-bottom: 36px;
}
.form-field {
  padding: 15px 0 15px 19px;
  border-radius: 4px;
  background: #ffffff;
  border: 1px solid rgba(0, 0, 0, 0.1);
  transition: ease-in 300ms;
  transition-property: box-shadow;
  width: 324px;
  margin-bottom: 16px;
}
.form-field:focus {
  box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
  border: none;
}
.form-field::placeholder {
  color: #bebebebe;
}
.tc-agreement-checkbox {
  position: absolute;
  cursor: pointer;
  width: 56%;
  height: 22px;
  top: 0;
  right: 155px;
  opacity: 0;
  z-index: 2;
}
.checkbox-container {
  width: 220px;
  height: 22px;
  position: relative;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding-right: 55px;
  align-items: center;
}
.TC-text {
  display: block;
  position: relative;
  font-size: 14px;
}
.custom-checkbox {
  position: absolute;
  top: 0;
  right: 288px;
  height: 20px;
  width: 20px;
  border: 1px solid rgba(0, 0, 0, 0.1);
}

.tc-agreement-checkbox:checked + .custom-checkbox::after {
  width: 7px;
  height: 16px;
  content: "";
  display: block;
  position: absolute;
  bottom: 3px;
  left: 5px;
  border: solid #3cb878;
  border-width: 0 3px 3px 0px;
  transform: rotate(40deg);
  z-index: 0;
  color: inherit;
}
.tc-agreement-checkbox:checked:hover + .custom-checkbox::after {
  border: solid #01813f;
  border-width: 0 3px 3px 0px;
}
.submit-button {
  margin-top: 20px;
  padding: 16px 99px 16px 99px;
  border: none;
  background: #3cb878;
  border-radius: 4px;
  color: white;
  font-size: 16px;
}
.submit-button:hover {
  background-color: #01813f;
}
.tc-agreement {
  font-size: 14px;
}
.TC-link {
  font-size: 14px;
  display: inline-block;
}
